#! /bin/sh
# Start script for the counting server.

# If printer is postscript, set this to 1
POSTSCRIPT=1

# printer type (as known to ghostscript)
PRINTER_DEVICE="lj4dith"
PAPERSIZE="a3"
OUTPUTDIR="/tmp"

# root directory (where the scripts are)
SCRIPTROOT=/opt/eVACS/bin

# command to convert ps into bitmap
GSCOMMAND="gs -q -sDEVICE=$PRINTER_DEVICE -r600x600 -sPAPERSIZE=$PAPERSIZE -dNOPAUSE -dSAFER -sOutputFile=$OUTPUTDIR/raw"

# post-process ps to BOLD 'so& so was elected n' statements in table2
$SCRIPTROOT/bold_elected.pl $OUTPUTDIR/table2.ps
mv  $OUTPUTDIR/table2.ps.bold  $OUTPUTDIR/table2.ps
rm -f  $OUTPUTDIR/table2.ps.bold

# Centre postscript output on a3/a4 page.
$SCRIPTROOT/normalise.pl $PAPERSIZE $OUTPUTDIR/table1.ps $OUTPUTDIR/table2.ps

if [ $POSTSCRIPT -eq 0 ]; then
    # FOR NON-POSTSCRIPT PRINTER
    for file in $OUTPUTDIR/table*.ps; do
		  echo quit | $GSCOMMAND $file
		  echo printing
		  # lpr $OUTPUTDIR/raw	   
	 done
else
	 # FOR POSTSCRIPT PRINTER
	 lpr $OUTPUTDIR/table1.ps.*
	 lpr $OUTPUTDIR/table2.ps.*
fi

# remove normalised pages ready for another scrutiny
rm -f $OUTPUTDIR/table*.ps*

exit 0	
