/* This file is (C) copyright 2001 Software Improvements, Pty Ltd */

/* This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 2 of the License, or
   (at your option) any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program; if not, write to the Free Software
   Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA. */

#include "vote_in_progress.c"

int main()
{
	
	struct preference undone_pref;

	/* TEST DDS3.2.18: Remove Last Preference */
	if (remove_last_pref(&undone_pref)) exit(1);

	/* TEST DDS3.2.20: Store Preference */
	/* TEST DDS3.2.20: Increment Preference Number */
	add_candidate(2, 0);
	if (vote_in_progress.num_preferences != 1) exit(1);
	if (vote_in_progress.candidates[0].group_index != 2) exit(1);
	if (vote_in_progress.candidates[0].db_candidate_index != 0) exit(1);
	if (vote_in_progress.candidates[0].prefnum != 1) exit(1);
	if (get_vote_in_progress()->num_preferences != 1) exit(1);

	add_candidate_with_pref(2, 1, 7);
	if (vote_in_progress.num_preferences != 2) exit(1);
	if (vote_in_progress.candidates[1].group_index != 2) exit(1);
	if (vote_in_progress.candidates[1].db_candidate_index != 1) exit(1);
	if (vote_in_progress.candidates[1].prefnum != 7) exit(1);

	/* TEST DDS3.2.18: Remove Last Preference */
	/* TEST DDS3.2.18: Decrement Last Preference Allocated */
	if (!remove_last_pref(&undone_pref)) exit(1);
	if (vote_in_progress.num_preferences != 1) exit(1);

	if (!remove_last_pref(&undone_pref)) exit(1);
	if (get_vote_in_progress()->num_preferences != 0) exit(1);

	/* TEST DDS3.2.10: Delete Current Preferences */
	/* TEST DDS3.2.10: Delete Vote in Progress */
	/* TEST DDS3.2.10: Delete Last Preference Number Allocated */
	add_candidate(2, 0);
	if (vote_in_progress.num_preferences != 1) exit(1);
	if (vote_in_progress.candidates[0].group_index != 2) exit(1);
	if (vote_in_progress.candidates[0].db_candidate_index != 0) exit(1);
	add_candidate(2, 1);
	if (vote_in_progress.num_preferences != 2) exit(1);
	if (vote_in_progress.candidates[1].group_index != 2) exit(1);
	if (vote_in_progress.candidates[1].db_candidate_index != 1) exit(1);
	delete_prefs();

	if (get_vote_in_progress()->num_preferences != 0) exit(1);
	exit(0);
}
